## maas 0.1~bzr146+dfsg

=== debian/changelog ===
maas (0.1~bzr146+dfsg-0ubuntu1) precise; urgency=low

  * Initial release

 -- Julian Edwards <julian.edwards@canonical.com>  Thu, 16 Jan 2012 15:29:07 +0000
