=== debian/control ===
Source: maas
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8), python-all (>= 2.7), python-distribute
Standards-Version: 3.9.2
X-Python-Version: >= 2.7
Homepage: https://launchpad.net/maas

Package: maas
Architecture: all
Depends: postgresql-9.1,
         psycopg2 (= 2.4.1),
         python-django,
         python-django-piston,
         python-django-south,
         python-setproctitle,
         python-sphinx,
         python-twisted,
         python-zope.interface,
         rabbitmq-server,
         ${misc:Depends},
         ${python:Depends}
Description: The next step in the development of orchestra.
 It provides an easy to use UI to provision your Ubuntu servers.
