=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
REV=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: .*[+~]bzr([0-9]+).*,\1,p')
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')
get-orig-source:
	bzr export -r $(REV) --root=maas-$(VER).orig \
             maas_$(VER).orig.tar.gz lp:maas
	rm -rf maas-$(VER)
	tar -xf maas_$(VER).orig.tar.gz
	rm maas_$(VER).orig.tar.gz
	rm maas-$(VER).orig/src/maasserver/static/js/yui/3.4.1/uploader/assets/uploader.swf
	rm maas-$(VER).orig/src/maasserver/static/js/yui/3.4.1/io-xdr/io.swf
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
                        -f maas_$(VER).orig.tar.gz \
                        maas-$(VER).orig
	rm -r maas-$(VER).orig
