## maas 0.1+bzr171+dfsg

=== debian/changelog ===
maas (0.1+bzr171+dfsg-0ubuntu1) precise; urgency=low

  * New upstream snapshot, post 0.1 release.
  * debian/control: 
    - Drop depends on rabbitmq-server, no longer required.
    - Drop versioning of depends psycopg2, no longer required.
  * debian/watch: Introduced watch file.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 17 Feb 2012 15:25:14 +0000
