=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: maas
 Architecture: all
 Depends: postgresql-9.1,
-         psycopg2 (= 2.4.1),
+         psycopg2,
          python-django,
          python-django-piston,
          python-django-south,
@@ -18,7 +18,6 @@
          python-sphinx,
          python-twisted,
          python-zope.interface,
-         rabbitmq-server,
          ${misc:Depends},
          ${python:Depends}
 Description: The next step in the development of orchestra.
