## maas 0.1+bzr232+dfsg

=== debian/changelog ===
maas (0.1+bzr232+dfsg-0ubuntu1) precise; urgency=low

  * New upstream snapshot.

  [ Dave Walker ]
  * debian/control:
    - Changed depends from psycopg2 to python-psycopg2 and dropped versioning.
      - LP: #937982 

  [ Andres Rodriguez ]
  * debian/maas.install: Install maas-import-isos and related files.
  * Integrate squid3 as proxy solution:
    - debian/extras/squid.conf: Added
    - debian/control: Depend on squid3.
    - debian/maas.{postinst,postrm}: Handle installation/removal of custom
      squid config file.
  * Split into different binary packages (maas,python-django-maas).
    - debian/maas.postinst: Handle the apache2 configuration.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 07 Mar 2012 12:46:17 -0500
