=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,16 @@
 
 %:
 	dh $@ --with python2 --buildsystem=python_distutils
+
+override_dh_auto_install:
+	dh_auto_install
+
+	# Copy the local config file
+	install -d -m 755  $(CURDIR)/debian/tmp/usr/share/maas
+	cp $(CURDIR)/contrib/maas_local_settings_sample.py \
+                $(CURDIR)/debian/tmp/usr/share/maas/maas_local_settings.py
+
+	dh_install --list-missing
 
 DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
 REV=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
