=== debian/changelog ===
maas (0.1+bzr295+dfsg-0ubuntu2) precise; urgency=low

  * debian/patches:
    - 01-fix-database-settings.patch: Update to set PSERV_URL.
    - 02-pserv-config.patch: Set port to 8001.
  * debian/maas.postinst: Run maas-import-isos on install.
  * debian/control: Depends on rabbitmq-server.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 15 Mar 2012 18:14:08 -0400

maas (0.1+bzr295+dfsg-0ubuntu1) precise; urgency=low

  * debian/maas.upstart: Specify pidfile and conffile.
  * debian/maas.postinst:
    - Only run syncdb if dbconfig postinst file exists.
    - Fix file permissions.
  * debian/maas.{postrm,prerm}: Add dbconfig-common support.
  * Add txlongpoll support for packaging:
    - debian/control: Depends on python-txlongpoll.
    - debian/maas.maas-longpoll.upstart: Added to start txlongpoll.
    - debian/maas.install: Install txlongpoll.yaml
  * debian/extras/maas: Improvements.
  * debian/maas.maas.upstart: Moved from debian/maas.upstart.
  * debian/maas.postinst: Touch logfile to set correct permissions (LP: #955400)
  * debian/maas.logrotate: Add.
  * debian/patches/03-txlongpoll-config.patch: Add default settings.
  * debian/maas.config: Only run dbconfig-common on configure/reconfigure.
  * Install maas_local_settings.py in /etc/maas and symlink to usr/share/maas
  * Update references from MaaS to MAAS.
  * Remove podebconf as templates no longer exist.
    - debian/po: Remove.
    - debian/control: Drop Build-Depends on po-debconf

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 15 Mar 2012 15:28:14 -0400

maas (0.1+bzr266+dfsg-0ubuntu1) precise; urgency=low

  * Remove support for squid3 and use squid-deb-proxy instead.
  * debian/extras/maas: Add to handle syncdb and creation of admin user.
  * Add debconf questions to ask for user/pass:
    - debian/maas.{template,config}: Add
    - debian/maas.postinst: Ask debconf questions.
    - debian/po: Add translation templates.i
  * debian/maas.postinst: Enable wsgi module; drop squid3 steps.
  * debian/maas.postrm: removed.
  * debian/patches/01-fix-database-settings.patch: Custom database settings
    and static files path.
  * debian/{rules,maas.install}: Install maas static files in
    'usr/share/maas/web/static'.
  * Integrate cobbler:
    - debian/maas.install: Install pserv twisted plugin, and config.
    - debian/maas.upstart: Created to start plugin daemon.
    - debian/patches/02-pserv-config.patch: Custom pserv config.
  * Integrate dbconfig-common:
    - debian/maas.config: Added and default user/pass and database.
    - debian/maas.{postinst,postrm}: Added handling for dbconfig-common
  * debian/control: Depends on python-convoy.
  * debian/rules: Update path to removal of dsfg files.
  * debian/patches/01-fix-database-settings.patch: Updated.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 13 Mar 2012 14:31:50 -0400
