=== debian/control ===
Source: maas
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8), python (>= 2.7), python-distribute
Standards-Version: 3.9.3
X-Python-Version: >= 2.7
Homepage: https://launchpad.net/maas

Package: maas
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         apache2,
         cobbler,
         libapache2-mod-wsgi,
         postgresql-9.1,
         python-django,
         python-django-maas (>= ${binary:Version}),
         python-django-piston,
         python-django-south,
         pwgen,
         rabbitmq-server,
         run-one,
         squid-deb-proxy,
         dbconfig-common
Description: The next step in the development of orchestra.
 It provides an easy to use UI to provision your Ubuntu servers.

Package: python-django-maas
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-convoy,
         python-oops,
         python-oops-amqp,
         python-oops-datedir-repo,
         python-oops-twisted,
         python-oops-wsgi,
         python-psycopg2,
         python-setproctitle,
         python-sphinx,
         python-twisted,
         python-txamqp,
         python-txlongpoll,
         python-zope.interface
Description: The next step in the development of Orchestra.
 It provides an easy to use UI to provision your Ubuntu servers.
