=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,22 @@
 %:
 	dh $@ --with python2 --buildsystem=python_distutils
 
+override_dh_installinit:
+	dh_installinit --name maas-pserv
+	dh_installinit --name maas-txlongpoll
+
 override_dh_auto_install:
 	dh_auto_install
 
 	# Copy the local config file
-	install -d -m 755  $(CURDIR)/debian/tmp/usr/share/maas
+	install -d -m 755  $(CURDIR)/debian/tmp/etc/maas
 	cp $(CURDIR)/contrib/maas_local_settings_sample.py \
-                $(CURDIR)/debian/tmp/usr/share/maas/maas_local_settings.py
+                $(CURDIR)/debian/tmp/etc/maas/maas_local_settings.py
+
+	# Move static files
+	install -d -m 755  $(CURDIR)/debian/tmp/usr/share/maas/web/static
+	mv $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/maasserver/static \
+                $(CURDIR)/debian/tmp/usr/share/maas/web/
 
 	dh_install --list-missing
 
@@ -24,8 +33,8 @@
 	rm -rf maas-$(VER)
 	tar -xf maas_$(VER).orig.tar.gz
 	rm maas_$(VER).orig.tar.gz
-	rm maas-$(VER).orig/src/maasserver/static/js/yui/3.4.1/uploader/assets/uploader.swf
-	rm maas-$(VER).orig/src/maasserver/static/js/yui/3.4.1/io-xdr/io.swf
+	rm maas-$(VER).orig/src/maasserver/static/jslibs/yui/3.4.1/build/uploader/assets/uploader.swf
+	rm maas-$(VER).orig/src/maasserver/static/jslibs/yui/3.4.1/build/io-xdr/io.swf
 	GZIP=--best tar -cz --owner root --group root --mode a+rX \
                         -f maas_$(VER).orig.tar.gz \
                         maas-$(VER).orig
