## maas 0.1+bzr482+dfsg

=== Makefile ===
--- 
+++ 
@@ -52,13 +52,14 @@
 	bin/test.maas
 	bin/test.pserv
 
-lint: sources = setup.py src templates utilities
+lint: sources = contrib setup.py src templates twisted utilities
 lint: bin/flake8
-	@bin/flake8 $(sources)
+	@find $(sources) -name '*.py' ! -path '*/migrations/*' \
+	    -print0 | xargs -r0 bin/flake8
 
 check: clean test
 
-docs/api.rst: bin/maas src/maasserver/api.py
+docs/api.rst: bin/maas src/maasserver/api.py syncdb
 	bin/maas generate_api_doc > $@
 
 sampledata: bin/maas syncdb
@@ -109,13 +110,11 @@
 
 syncdb: bin/maas dev-db
 	bin/maas syncdb --noinput
-
-checkbox: config=checkbox/plugins/jobs_info/directories=$(PWD)/qa/checkbox
-checkbox:
-	checkbox-gtk --config=$(config) --whitelist-file=
+	bin/maas migrate maasserver --noinput
+	bin/maas migrate metadataserver --noinput
 
 .PHONY: \
-    build check checkbox clean dev-db distclean doc \
+    build check clean dev-db distclean doc \
     harness lint pserv-start pserv-stop run \
     txlongpoll-start txlongpoll-stop \
     syncdb test sampledata
