=== debian/changelog ===
maas (0.1+bzr482+dfsg-0ubuntu1) precise-proposed; urgency=low

  * New upstream release (Fixes LP: #981103)
  * debian/maas.postinst:
    - Make sure rabbitmq and postgresql are started on upgrade (LP: #981282)
    - Handle upgrades from any lower than 0.1+bzr462+dfsg-0ubuntu1 to
      correctly re-generate passwords, and not have db sync/migrate issues
      as config has changed upstream.
    - Correctly set Passwords for PSERV, otherwise it won't set new passwords.
  * Allow MAAS_DEFAULT_URL reconfiguration. (LP: #980970)
    - debian/maas.config: Add reconfigure validation to correctly allow it,
      and ask a question.
    - debian/maas.postinst: Reconfigure DEFAULT_MAAS_URL as well as cobbler
      server and next_server for PXE/Provisioning.
    - debian/maas.templates: Add debconf question and update info.
  * Do not lose MAAS_DEFAULT_URL settings on upgrade (LP: #984309)
  * debian/maas.postinst:
    - Set cobbler password in between quotes (LP: #984427)
    - Do not change permissions to maas.log (LP: #980915)
  * no longer use maas-cloudimg2ephemeral, but rather use premade images 
    at http://maas.ubuntu.com

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 17 Apr 2012 23:44:46 -0700

maas (0.1+bzr462+dfsg-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #980240)

  [ Scott Moser ]
  * add dependency on distro-info (LP: #949442)
  * debian/control: add dependency on tgt for ephemeral iscsi environment

  [ Andres Rodriguez ]
  * Make package lintian clean:
    - maas{-dhcp}.lintian-overrides: Add to make lintian clean.
    - debian/control: Add missing dependencies; correct section and desc.
    - debian/maas.postinst: Do not use absolute path for rabbitmqctl.
    - debian/patches: Add headers to all patches.
  * debian/maas-dhcp.postrm: Added to disable dnsmasq in cobbler on removal.
  * debian/maas.config: Do not set a password with pwgen as it is not an
    essential package; allow dbconfig-common to create a password instead by
    creating an empty question. (LP: #977475)
  * Run MAAS, pserv, txlongpoll as non-root user. (LP: #975436)
    - debian/maas.postinst: Create user/group; set correct permissions for
      directories.
    - debian/maas.postrm: Remove user/group; restart apache2.
    - debian/maas.maas-{pserv,txlongpoll}.upstart: Update to run as non-root
      'maas' user.
  * debian/patches/01-fix-database-settings.patch: Remove adding of PSERV_URL.
  * debian/maas.postinst:
    - Handle config file upgrade from versions lower than 0.1+bzr445+dfsg-0ubuntu1,
      by creating new passwords and updating accordingly
    - use local variables in functions.
    - Handle maas tgt configuration for upgrades from 0.1+bzr459+dfsg-0ubuntu1.
  * debian/extras/99-maas: Add squid-deb-proxy file to enable PPAs. (LP: #979383)
  * debian/maas.install: Install missing commissioning-user-data script.

  [ Dave Walker (Daviey) ]
  * debian/patches/02-pserv-config.patch: Refreshed to apply to updated config.

  [ Gavin Panella ]
  * debian/maas.postinst: Update pserv.yaml and maas_local_settings.py to use
    password.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 12 Apr 2012 16:37:53 -0400

maas (0.1+bzr415+dfsg-0ubuntu2) precise; urgency=low

  * debian/maas-dhcp.{config,postinst}:
    - Fix not setting new values on fresh install. (LP: #975321)
    - Fix unsetting domain, otherwise, even if disabled, it will always be set.
  * debian/control: Depends on maas for maas-dhcp.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 06 Apr 2012 15:30:44 -0400

maas (0.1+bzr415+dfsg-0ubuntu1) precise; urgency=low

  * debian/control: Update package descriptions; Suggests maas-dhcp for maas
    and add a maas-dhcp binary.
  * Add maas-dhcp package to configure a DHCP server.
    - debian/maas-dhcp.config: Add to ask debconf questions about range,
      gateway, and domain.
    - debian/maas-dhcp.postinst: Handle update of config values.
    - debian/maas-dhcp.templates: Debconf questions.
  * debian/po: Update for templates.
  * Add message telling MAAS URL after installation.
    - debian/maas.templates: Add message.
    - debian/maas.postinst: Display message.
  * debian/maas.config: Hide dbconfig-install question.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 04 Apr 2012 14:47:13 -0400

maas (0.1+bzr400+dfsg-0ubuntu1) precise; urgency=low

  * debian/patches/{02-pserv-config,03-txlongpoll-config}.patch: Refreshed.
  * debian/maas.install: Install maas-gc cronjob.
  * Add apport hook.
    - debian/maas.apport: Add hook.
    - debian/rules: Install with apport.
  * debian/maas.logrotate: Add logrotate for txlongpoll and pserv logs.
  * Create 'var/lib/media/maas/storage' on postinst to have right permissions.
    - debian/maas.dirs: Drop dir creation.
    - debian/maas.postinst: Create dir with correct permissions.
    - debian/maas.postrm: Remove dir on purge.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 03 Apr 2012 14:50:34 -0400

maas (0.1+bzr378+dfsg-0ubuntu1) precise; urgency=low

  * maas.dirs: Create var/lib/maas/media/storage for juju storage.
  * maas.postinst:
    - Give correct permissions to above dir.
    - stop apache2 before db upgrade, and restart after.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 29 Mar 2012 19:28:13 -0400

maas (0.1+bzr363+dfsg-0ubuntu1) precise; urgency=low

  [ Dave Walker (Daviey) ]
  * debian/control: Add openssh-server as a Recommends, and wrap-and-sort. 

  [ Andres Rodriguez ]
  * debian/maas.postinst:
    - Do not start apache with apache2ctl. Use invoke-rc.d instead to not
      fail in the installer.
    - For start of postgresql before creating the DB, otherwise it will
      fail in the installer.
    - Add check of invoke-rc.d for syslog.
    - Add check of invoke-rc.d for rabbitmq-server; Add check for rabbitmqctl
    - Add db_stop, in case invoke-rc.d fails.
  * debian/control: Tight python-django-maas dependency.
  * debian/postrm: Add check for rabbitmqctl.

