=== debian/control ===
Source: maas
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8), python (>= 2.7), python-distribute, dh-apport, po-debconf
Standards-Version: 3.9.3
X-Python-Version: >= 2.7
Homepage: https://launchpad.net/maas

Package: maas
Architecture: all
Depends: apache2,
         avahi-daemon,
         maas-provision (>= 2.2.2),
         dbconfig-common,
         distro-info,
         libapache2-mod-wsgi,
         postgresql-9.1,
         pwgen,
         python-django,
         python-django-maas (= ${binary:Version}),
         python-django-piston,
         python-django-south,
         rabbitmq-server,
         rsyslog,
         squid-deb-proxy,
         tgt,
         ${misc:Depends},
         ${python:Depends}
Recommends: openssh-server
Suggests: maas-dhcp
Description: Ubuntu MAAS Server
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.


Package: python-django-maas
Section: python
Architecture: all
Depends: python-avahi,
         python-convoy,
         python-dbus,
         python-oops,
         python-oops-amqp,
         python-oops-datedir-repo,
         python-oops-twisted,
         python-oops-wsgi,
         python-psycopg2,
         python-sphinx,
         python-twisted,
         python-txamqp,
         python-txlongpoll,
         python-zope.interface,
         ${misc:Depends},
         ${python:Depends}
Description: Ubuntu MAAS Server - (django files)
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package contains the Django files.

Package: maas-dhcp
Architecture: all
Depends: ${misc:Depends}, maas, debconf, dnsmasq
Description: Ubuntu MAAS Server - DHCP configuration (metapackage)
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package configures a DHCP that can be used with MAAS.
