=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2 --buildsystem=python_distutils
+	dh $@ --with python2,apport --buildsystem=python_distutils
 
 override_dh_installinit:
 	dh_installinit --name maas-pserv
