=== debian/watch ===
version=3
http://launchpad.net/maas/+download https://launchpad.net/maas/.*/maas-(.*).tar.*
