## maas 0.1+bzr1264+dfsg

=== debian/changelog ===
maas (0.1+bzr1264+dfsg-0ubuntu2) quantal; urgency=low

  * Fix MAAS not working after CD/preseed install (LP: #1065763)
    - debian/extras/maas-region-celeryd: Add wrapper to run celery from
      the upstart job.
    - debian/extras/maas-region-controller.maas-region-celery.upstart: Create
      rabbitmq user if it does not exists.
  * debian/control: Remove unneeded deps on python-txtftp for some binary pkgs.
  * debian/maas-region-controller.postinst: Minor fix referencing variable.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 11 Oct 2012 17:38:08 -0400

maas (0.1+bzr1264+dfsg-0ubuntu1) quantal; urgency=low

  * New upstream release.

  [ Raphaël Badin ]
  * debian/maas-region-controller.postinst: Enable proxy_http module.
  * debian/maas-cluster-controller.postinst: Create /var/lib/maas. (LP: #1065062)

  [ Andres Rodriguez ]
  * Install maas-provision with python-maas-provisioningserver (LP: #1065171):
    - debian/python-maas-provisioningserver.install: Install
    - debian/control: Add Conflicts/Replaces with maas-cluster-controller
      to handle upgrades.
  * debian/patches/04-fix-ipmi-enlistment.patch: Drop. Merged Upstream.
  * debian/control: Depends on maas-region-controller for maas-dns.
  * debian/maas-region-controller.postinst: Set the correct host for
    BROKER_URL (LP: #1065080)
  * Handle creation of user/group in maas-common.
  * debian/maas-region-controller.config: Always source dbconfig scripts.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 10 Oct 2012 11:17:21 -0400

maas (0.1+bzr1243+dfsg-0ubuntu3) quantal; urgency=low

  * 04-fix-ipmi-enlistment.patch: retry maas-enlist without power parameters
    on failure. This allows enlistment to continue working with Precise
    ephemeral images before the Precise SRU for maas-enlist lands.
    (LP: #1064922).

 -- Robie Basak <robie.basak@canonical.com>  Wed, 10 Oct 2012 13:29:16 +0000

maas (0.1+bzr1243+dfsg-0ubuntu2) quantal; urgency=low

  * debian/patches/99-ipmi-user-too-long.patch: Fix username too long for
    IPMI user created on enlistment (LP: #1064832)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 10 Oct 2012 01:00:29 -0400

maas (0.1+bzr1243+dfsg-0ubuntu1) quantal; urgency=low

  * New upstream release. (LP: #1064596)
  * debian/patches/99-temporary-fix-constraints.patch: Dropped.
  * debian/control:
    - ${python:Depends} for maas-common.
    - Add missing Depends for python-maas-provisioningserver (LP: #1064542)
  * debian/maas-cluster-controller.postinst: Create /var/log/maas if it
    doesn't exist (LP: #1064539)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 08 Oct 2012 17:02:56 -0400

maas (0.1+bzr1223+dfsg-0ubuntu1) quantal; urgency=low

  * New upstream release. (LP: #1062518)

  [ Julian Edwards ]
  * Split packaging of 'maas' into maas-{region,cluster}-controller
    - debian/control: Update accordingly.
    - debian/*.install: Move files accordingly
    - debian/*.{postinst,postrm,preinst}: Move files accordingly.
  * Ensure isc-dhcp-server is disabled when installing maas-dhcp.
  * Ensure maas-dns creates the maas user before trying to chown files.
  * Make maas-cluster-controller autoconfigure itself when upgrading from the
    old maas package. (LP: #1059416)
  * Add missing prerm file for maas-cluster-controller so that .pyc files
    are cleaned up. (LP: #1059973)

  [ Raphaël Badin ]
  * Install maas_local_celeryconfig.py in /etc/maas and symlink to
    /usr/share/maas.
  * debian/maas.postinst: Create rabbitmq celery user/vhost.
  * debian/maas.postinst: Update BROKER_URL in maas_local_celeryconfig.py.
  * Use maas_local_celeryconfig_cluster.py as the local celery
    configuration file for the cluster worker.
  * debian/maas-region-controller.maas-region-celery.upstart: Add region
    worker upstart script.
  * Rename cluster worker upstart script into
    maas-cluster-controller.maas-clluster-celery.upstart.
  * maas-cluster-controller.maas-celery.upstart: use "celeryconfig_cluster"
    as the Celery config module.
  * debian/maas-common.install: Install celeryconfig_common.py.
  * debian/maas-cluster-controller.install: Install celeryconfig_cluster.py.
  * debian/maas-region-controller.install: Install celeryconfig.py.
  * Split celery config into cluster and region configs.
  * Add region celeryd upstart config.
  * Define CELERY_CONFIG_MODULE in
    maas-cluster-controller.maas-cluster-celery.upstart

  [ Jeroen Vermeulen ]
  * Make maas_local_celery_config.py non-world readable.
  * Make maas_local_celeryconfig_cluster.py non-world readable.
  * Set root:maas ownership of local cluster config only *after*
    the maas user/group have been created

  [ Andres Rodriguez ]
  * debian/maas.postinst:
    - Always restart apache2.
    - Handle upgrades for new upstream release.
    - Handle upgrades for celery rabbitmq worker.
  * Add binary package to install client tool.
    - debian/extras/maas-cli: Add binary.
    - debian/maas-cli.install: Add. Install maascli and apiclient.
    - debian/control: Add binary package.
  * debian/control:
    - Depends on freeipmi-tools instead of ipmitool.
    - Conflicts/Replaces on maas for python-maas-client.
    - Depends on python-netifaces, python-lxml.
  * Add python-maas-client binary package:
    - debian/python-maas-client.install: Add. Install 'apiclient' python module.
    - debian/control: Add package. python-django-maas and maas-cli now
      Depend on it.
  * debian/rules: Install maas-dhcp-server upstart job.
  * debian/maas.postrm: Remove celery worker rabbitmq user and host.
  * debian/extras/99-maas-sudoers: Add for maas-dhcp-server upstart job
    instead of isc-dhcp-server (LP: #1055951)
  * debian/maas-region-controller.postinst: Cleanup upgrade rules.
  * debian/maas-cluster-controller.postinst: Fix 'local' usage.
  * debian/maas-common.install: Install celeryconfig in appropriate location.
  * debian/maas-cluster-controller.postrm: Add and delete maas user.

